LibreOffice: AccessibleWindow Service Reference

LibreOffice LibreOffice 6.1 SDK API Reference

Exported Interfaces | List of all members
AccessibleWindow Service Reference

specifies accessibility support for a window. More...

`import"AccessibleWindow.idl";`

Inheritance diagram for AccessibleWindow:

## Exported Interfaces
interface | ::com::sun::star::accessibility::XAccessibleContext
| This interface gives access to the structural information of a window: More...
interface | ::com::sun::star::accessibility::XAccessibleEventBroadcaster
interface | ::com::sun::star::accessibility::XAccessibleComponent
interface | ::com::sun::star::accessibility::XAccessibleExtendedComponent

## Additional Inherited Members
Public Member Functions inherited from XAccessibleContext
long | getAccessibleChildCount ()
| Return the number of children. More...
XAccessible | getAccessibleChild ([in] long i) raises (::com::sun::star::lang::IndexOutOfBoundsException)
| Returns the i-th child of this object. More...
XAccessible | getAccessibleParent ()
| Returns the parent of this object. More...
long | getAccessibleIndexInParent ()
| Returns the index of this object in its accessible parent. More...
short | getAccessibleRole ()
| Returns the role of this object. More...
string | getAccessibleDescription ()
| Returns the object's description. More...
string | getAccessibleName ()
| Return the object's localized name. More...
XAccessibleRelationSet | getAccessibleRelationSet ()
| Returns the set of relations defined for this object. More...
XAccessibleStateSet | getAccessibleStateSet ()
| Returns the set of states that are currently active for this object. More...
::com::sun::star::lang::Locale | getLocale () raises (IllegalAccessibleComponentStateException)
| Returns the locale of the component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XAccessibleEventBroadcaster
void | addAccessibleEventListener ([in] XAccessibleEventListener xListener)
| registers the given XAccessibleEventListener. More...
void | removeAccessibleEventListener ([in] XAccessibleEventListener xListener)
| unregisters the given XAccessibleEventListener. More...
Public Member Functions inherited from XAccessibleComponent
boolean | containsPoint ([in] ::com::sun::star::awt::Point Point)
| Tests whether the specified point lies within this object's bounds. More...
XAccessible | getAccessibleAtPoint ([in] ::com::sun::star::awt::Point Point)
| Returns the Accessible child that is rendered under the given point. More...
::com::sun::star::awt::Rectangle | getBounds ()
| Returns the bounding box of this object. More...
::com::sun::star::awt::Point | getLocation ()
| Returns the location of the upper left corner of the object's bounding box relative to the parent. More...
::com::sun::star::awt::Point | getLocationOnScreen ()
| Returns the location of the upper left corner of the object's bounding box in screen coordinates. More...
::com::sun::star::awt::Size | getSize ()
| Returns the size of this object's bounding box. More...
void | grabFocus ()
| Grabs the focus to this object. More...
::com::sun::star::util::Color | getForeground ()
| Returns the foreground color of this object. More...
::com::sun::star::util::Color | getBackground ()
| Returns the background color of this object. More...
Public Member Functions inherited from XAccessibleExtendedComponent
::com::sun::star::awt::XFont | getFont ()
| Returns the font of this object. More...
string | getTitledBorderText ()
| Returns the titled border text. More...
string | getToolTipText ()
| Returns the tool tip text of this object. More...

## Detailed Description

specifies accessibility support for a window.

Since
  OOo 1.1.2

## Exported Interfaces

## ◆ ::com::sun::star::accessibility::XAccessibleComponent

interface ::com::sun::star::accessibility::XAccessibleComponent

## ◆ ::com::sun::star::accessibility::XAccessibleContext

interface ::com::sun::star::accessibility::XAccessibleContext

This interface gives access to the structural information of a window:

- Role: The role of a window is not fixed. A window may have one of the following roles:
  - com::sun::star::accessibility::AccessibleRole::DIALOG
  - com::sun::star::accessibility::AccessibleRole::FRAME
  - com::sun::star::accessibility::AccessibleRole::LAYERED_PANE
  - com::sun::star::accessibility::AccessibleRole::PANEL
  - com::sun::star::accessibility::AccessibleRole::ROOT_PANE
  - com::sun::star::accessibility::AccessibleRole::SCROLL_PANE
  - com::sun::star::accessibility::AccessibleRole::SPLIT_PANE
  - com::sun::star::accessibility::AccessibleRole::WINDOW
  - ...
- Name: The name of a window is its localized title.
- Description: The description of a window is its localized help text.
- Children: The children of a window are the child windows.
- Parent: The parent of a window is the parent window.
- Relations: There are no relations.
- States: The states supported by this service are
  - com::sun::star::accessibility::AccessibleStateType::ACTIVE is set if the object is currently the active object.
  - com::sun::star::accessibility::AccessibleStateType::DEFUNC is set if the object has already been disposed and subsequent calls to this object result in com::sun::star::lang::DisposedException exceptions.
  - com::sun::star::accessibility::AccessibleStateType::ENABLED is set if the object is enabled.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSABLE is always set.
  - com::sun::star::accessibility::AccessibleStateType::FOCUSED is set if the object currently has the keyboard focus.
  - com::sun::star::accessibility::AccessibleStateType::MODAL is set if the object is modal.
  - com::sun::star::accessibility::AccessibleStateType::RESIZABLE is set if the size of the object is not fixed.
  - com::sun::star::accessibility::AccessibleStateType::SHOWING is set if the object is displayed on the screen.
  - com::sun::star::accessibility::AccessibleStateType::VISIBLE is always set.

## ◆ ::com::sun::star::accessibility::XAccessibleEventBroadcaster

interface ::com::sun::star::accessibility::XAccessibleEventBroadcaster

## ◆ ::com::sun::star::accessibility::XAccessibleExtendedComponent

interface ::com::sun::star::accessibility::XAccessibleExtendedComponent

The documentation for this service was generated from the following file:

- com/sun/star/awt/AccessibleWindow.idl